{
	"format_version": "1.21.0",
	"minecraft:entity": {
		"description": {
			"identifier": "scpcf:scp_387_building",
			"is_summonable": true,
			"is_spawnable": false,
			"is_experimental": false
		},
		"component_groups": {
			"scp387back": {
				"minecraft:transformation": {
					"into": "scpcf:scp_387_builder"
				}
			}
		},
		"components": {
			"minecraft:movement.basic": {},
			"minecraft:behavior.random_stroll": {
				"priority": 1,
				"speed_multiplier": 0
			},
			"minecraft:health": {
				"value": 1,
				"max": 1
			},
			"minecraft:jump.static": {},
			"minecraft:physics": {},
			"minecraft:pushable": {
				"is_pushable": false,
				"is_pushable_by_piston": false
			},
			"minecraft:can_climb": {},
			"minecraft:type_family": {
				"family": [
					"scp"
				]
			},
			"minecraft:knockback_resistance": {
				"value": 10,
				"max": 10
			},
			"minecraft:timer": {
				"looping": false,
				"time": 5,
				"time_down_event": {
					"event": "scp387back"
				}
			},
			"minecraft:scale": {
				"value": 0.4
			},
			"minecraft:behavior.float": {
				"priority": 2
			}
		},
		"events": {
			"scp387back": {
				"sequence": [
					{
						"add": {
							"component_groups": [
								"scp387back"
							]
						}
					},
					{
						"randomize": [
							{
								"weight": 100,
								"queue_command": {
									"command": [
										"fill ~~~~~~ scpcf:scp_387_house_green replace air"
									]
								}
							},
							{
								"weight": 100,
								"queue_command": {
									"command": [
										"fill ~~~~~~ scpcf:scp_387_house_red replace air"
									]
								}
							},
							{
								"weight": 100,
								"queue_command": {
									"command": [
										"fill ~~~~~~ scpcf:scp_387_house_orange replace air"
									]
								}
							},
							{
								"weight": 5,
								"queue_command": {
									"command": [
										"fill ~~~~~~ scpcf:scp_387_house_yellow replace air"
									]
								}
							},
							{
								"weight": 5,
								"queue_command": {
									"command": [
										"fill ~~~~~~ scpcf:scp_387_house_blue replace air"
									]
								}
							}
						]
					}
				]
			}
		}
	}
}